Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.
/api/v1/profiles/{profileId}PATCH
Renames a profile in your organization. Requires the admin role. The profile must belong to the caller's org.
Authorization
apiKey *Bearer <token>
Akarso API key from the dashboard. Token in: header
Path Parameters
profileId *string
Profile ID to rename
Request Bodyapplication/jsonrequired
name *string
New display name for the profile
Min length: 1Max length: 60
Response
200
id *string
Profile ID
name *string
Profile display name
createdAt *string
ISO creation time
default *boolean
True for the organization default profile (the oldest one)
current *boolean
True for the profile this request operates on
400 · Invalid request body, path, or query parameters
error *string
Human-readable error message
code?string
Machine-readable error code
message?string
Additional error details
401 · Missing or invalid API key
error *string
Human-readable error message
code?string
Machine-readable error code
message?string
Additional error details
502 · Upstream platform request failed
error *string
Human-readable error message
code?string
Machine-readable error code
message?string
Additional error details
Request example
curl -X PATCH "https://akarso.co/api/v1/profiles/<profileId>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'